Skip to content
Guides
Fulfillment & ShippingHolidays
shipping_settings:update

Update non-working date range

Updates a non-working date range. Delivery estimates skip dates within that range.

PUT/v1/shipping/holidays/{id}

Updates a non-working date range. Delivery estimates skip dates within that range.

Authorization

bearerAuth
AuthorizationBearer <token>

OAuth2 access token issued by Ecomiq Auth.

In: header

Path Parameters

id*string

Unique identifier of the resource.

Header Parameters

Authorization*string

OAuth 2.0 bearer token.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X PUT "https://example.com/v1/shipping/holidays/7204558912004325301" \  -H "Authorization: Bearer <token>" \  -H "Content-Type: application/json" \  -d '{    "name": "Example resource",    "fromDate": "2026-08-01",    "toDate": "2026-08-01",    "description": "Example description."  }'
Empty